/**
 环境要素管理
 @author linqian
 @Date：20221-08-25
 */

import request from "@/utils/request"
const baseUrl = "/envElement"

export const tableUrl = `${baseUrl}/search`

// 新增
export function saveEnvElement(data) {
    return request({
        url: `${baseUrl}/save`,
        method: "POST",
        data
    })
}

// 更新
export function updateEnvElement(data) {
    return request({
        url: `${baseUrl}/update`,
        method: "POST",
        data
    })
}
// 删除
export function deleteEnvElement(id) {
    return request({
        url: `${baseUrl}/deleteById/${id}`,
        method: "DELETE"
    })
}

// 已关联用户列表
export const relUserTableUrl = `${baseUrl}/userRelPage`

// 未关联用户列表
export const notRelUserTableUrl = `${baseUrl}/notInUserRelPage`

// 关联关系添加
export function batchSetUser(data) {
    return request.post(`${baseUrl}/userRelSave`, data)
}

// 删除用户关联关系
export function deleteUserRel(id) {
    return request.delete(`${baseUrl}/deleteUserRel/${id}`)
}
